> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete One Carrier Payment Line Item

> Delete a carrier payment line item by ID



## OpenAPI

````yaml /api-reference/openapi.json delete /api/rest/carrier_payment_line_items/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/carrier_payment_line_items/{id}:
    delete:
      tags:
        - Carrier Payment Line Items
      summary: Delete One Carrier Payment Line Item
      description: Delete a carrier payment line item by ID
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: false
                  title: String
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  deleteCarrierPaymentLineItem:
                    description: columns and relationships of "bill_payment_line_items"
                    nullable: true
                    properties:
                      amount:
                        nullable: false
                        title: Int
                        type: integer
                      billId:
                        nullable: false
                        title: String
                        type: string
                      billingAccountNumber:
                        nullable: true
                        title: String
                        type: string
                      billingName:
                        nullable: true
                        title: String
                        type: string
                      carrierId:
                        nullable: true
                        title: String
                        type: string
                      checkOrAchNumber:
                        nullable: true
                        title: String
                        type: string
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      id:
                        nullable: false
                        title: String
                        type: string
                      notes:
                        nullable: true
                        title: String
                        type: string
                      referenceNumber:
                        nullable: true
                        title: Int
                        type: integer
                      sourceSystem:
                        nullable: true
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: true
                        title: String
                        type: string
                      status:
                        nullable: true
                        title: String
                        type: string
                      transactionDate:
                        nullable: true
                        title: String
                        type: string
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                    title: BillPaymentLineItems
                    type: object
          description: Responses for DELETE /api/rest/carrier_payment_line_items/{id}
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00

````